module pcf8591_iic_drive_test();

	reg sys_clk;
	reg rst_n;
	reg start_en;
	wire SCL;
	wire iic_busy;
	wire [7:0] data_receive;
	wire SDA;

	//----Code starts here: integrated by Robei-----
	initial begin
			sys_clk = 'd0;
			rst_n = 'd0;
			#20;
			rst_n = 'd1;
			#50;
			start_en = 'd1;
			#40000;
			$finish;
	end
	
	always begin
			#1;
			sys_clk <= ~sys_clk;
	end
	
	
	
	
	
	
	
	initial begin
		$dumpfile ("F:/Robei_competition_common_ip/sensor_type/photosensitive_pcf8591/pcf8591_iic_drive_test.vcd");
		$dumpvars;
	end
	//---Module instantiation---
	pcf8591_iic_drive pcf8591_iic_drive1(
		.sys_clk(sys_clk),
		.rst_n(rst_n),
		.start_en(start_en),
		.SCL(SCL),
		.iic_busy(iic_busy),
		.data_receive(data_receive),
		.SDA(SDA));

endmodule    //pcf8591_iic_drive_test

